Create Timing Override

Use this API to create an exception for the time window for a store. Timing Overrides are used when a store wants to operate during special hours or it is closed for a particular day. For example, consider if a store is not operational on Thanksgiving day, they can create an override for that day. A particular override is valid for the mentioned dates.

Path Params
string
enum
required

Type of timings. Options are location, pickup ,deliveryorreturn.

Allowed:
Body Params
string

An array of location Ids for which timings are being created. This is required when entity is passed as store.

string

An array of brand Ids for which timings are being created. This is required when entity is passed as brand.

categories
array of strings

Required if type is pickup ,deliveryorreturn.

categories
int32

Approximate time duration (in minutes) that a location takes to pick-and-pack an order. Only required for timing type pickup and delivery.

string
required

The name of the timing override.

dates
array of strings
required

Dates for which the location timing override is being created. It has to be in ISO 8601 format (YYYY-MM-DD).

dates*
boolean
required

To mark whether location is open or close for a given day.

boolean
required

To denote location is open 24hrs. This can be set to true for type location only.

string
enum
required

It can be one value from store, brand or business.

Allowed:
string

Store opening time. Required if hours value is not set and isOpen flag is set to true.

string

Store closing time. Required if hours value is not set and isOpen flag is set to true.

int32

Interval between consecutive store operations hours. Required if hours value is not set and isOpen flag is set to true.

hours
array of objects

Array of Hour If is24Hrs flag is set to false. Required if opensAt, closesAt, interval values are not set.

hours
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json